<%--
  renders a single blog entry
--%>
<%@ taglib uri="http://java.sun.com/jstl/core" prefix="c" %>
<%@ taglib uri="http://java.sun.com/jstl/fmt" prefix="fmt" %>
<%@ taglib uri="http://www.simongbrown.com/pebble" prefix="pebble" %>

<div class="blogEntry">

  <div class="blogEntryHeader">
    <span class="blogEntryLinks">
      <c:if test="${not empty blogEntry.attachment}"><a href="<c:out value="${blogEntry.attachment.url}"/>" title="<c:out value="${blogEntry.attachment.size}"/> bytes, <c:out value="${blogEntry.attachment.type}"/>"><fmt:message key="blogentry.attachment" /></a> | </c:if>
      <a href="<c:out value="${blogEntry.permalink}"/>" title="<c:out value="${blogEntry.permalink}"/>"><fmt:message key="blogentry.permalink" /></a><br />
      [<a href="<c:out value="${blogEntry.rootBlog.url}"/>"><c:out value="${blogEntry.rootBlog.name}"/></a>]
    </span>
    <span class="blogEntryTitle">
    <a href="<c:out value="${blogEntry.permalink}"/>" name="a<c:out value="${blogEntry.id}"/>" title="<c:out value="${blogEntry.permalink}"/>"><c:out value="${blogEntry.title}"/></a>
    </span>
    <br />
    <span class="blogEntrySubtitle">
    <c:out value="${blogEntry.subtitle}"/>
    </span>
  </div>

  <div class="blogEntryBody">
    <c:choose>
      <c:when test="${empty blogEntry.excerpt}">
        <%-- there is no excerpt, so show the body --%>
        <c:out value="${blogEntry.body}" escapeXml="false" />
        <c:if test="${blogEntry.aggregated}">
          <p><fmt:message key="blogentry.contentAggregated" /> <a href="<c:out value="${blogEntry.permalink}"/>"><fmt:message key="common.readMore" /></a></p>
        </c:if>
      </c:when>
      <c:otherwise>
        <%-- an excerpt is present, so show this --%>
        <c:out value="${blogEntry.excerpt}" escapeXml="false" />
        <p><a href="<c:out value="${blogEntry.permalink}"/>"><fmt:message key="common.readMore" /></a></p>
      </c:otherwise>
    </c:choose>
  </div>

  <div class="blogEntryMetadata">
    <span class="floatRight">
      <c:if test="${blogEntry.trackBacksEnabled || not empty blogEntry.trackBacks}">
        <a href="<c:out value="${blogEntry.trackBacksLink}"/>"><fmt:message key="blogentry.trackbacks" />[<fmt:formatNumber value="${blogEntry.numberOfTrackBacks}"/>]</a>
      </c:if>
      <c:if test="${blogEntry.commentsEnabled || not empty blogEntry.comments}">
        <a href="<c:out value="${blogEntry.commentsLink}"/>"><fmt:message key="blogentry.comments" />[<fmt:formatNumber value="${blogEntry.numberOfComments}"/>]</a>
      </c:if>
    </span>
    <fmt:formatDate var="blogEntryDate" scope="page" value="${blogEntry.date}" type="both" dateStyle="long" timeStyle="long"/>
    <fmt:message key="blogentry.from">
      <fmt:param value="${blogEntry.author}"/>
      <fmt:param>
        <a href="<c:out value="${blogEntry.dailyBlog.permalink}"/>"><c:out value="${blogEntryDate}"/></a>
      </fmt:param>
    </fmt:message>
  </div>

</div>
