<%@ page contentType="text/html;charset=UTF-8" %>
<%@ page import="pebble.blog.*,
                 pebble.Constants" %>
<%@ taglib uri="http://java.sun.com/jstl/core" prefix="c" %>
<%@ taglib uri="http://java.sun.com/jstl/fmt" prefix="fmt" %>
<%@ taglib uri="http://www.simongbrown.com/pebble" prefix="pebble" %>

<%
  Blog blog = (Blog)request.getAttribute(Constants.BLOG_KEY);
%>

<c:set var="originalBlogEntry" scope="request" value="${blogEntry}" />
<c:set var="blogEntry" scope="request" value="${previewBlogEntry}" />
<c:set var="displayMode" scope="request" value="preview" />
<%
  String blogEntryPage = "/themes/" + ((SimpleBlog)blog).getTheme() + "/jsp/blogEntry.jsp";
%>
<c:choose>
  <c:when test="${blogEntry.staticPage}">
  <%
    blogEntryPage = "/themes/" + ((SimpleBlog)blog).getTheme() + "/jsp/staticPage.jsp";
  %>
  </c:when>
  <c:otherwise>
  <%
    blogEntryPage = "/themes/" + ((SimpleBlog)blog).getTheme() + "/jsp/blogEntry.jsp";
  %>
  </c:otherwise>
</c:choose>
<a name="preview"></a>
<jsp:include page="<%= blogEntryPage %>" />
<c:set var="blogEntry" scope="request" value="${originalBlogEntry}" />

<a name="form"></a>
<div class="item">
<form name="editBlogEntry" action="saveBlogEntry.secureaction#preview" method="POST" accept-charset="<c:out value="${blog.characterEncoding}" />">
<input type="hidden" name="entry" value="<c:out value="${blogEntry.id}"/>" />
<input type="hidden" name="type" value="<c:out value="${blogEntry.type}"/>" />

  <div class="itemHeader">
    <span class="itemLinks">
      <c:choose>
        <c:when test="${blogEntry.type == 8}"><a href="<%= request.getContextPath() %>/docs/static-pages.html" target="_blank">Help</a></c:when>
        <c:when test="${blogEntry.type != 8}"><a href="<%= request.getContextPath() %>/docs/blog-entries.html" target="_blank">Help</a></c:when>
      </c:choose>
    </span>
    <c:choose>
      <c:when test="${blogEntry.type == 8}">Static page</c:when>
      <c:when test="${blogEntry.type != 8}">Blog entry</c:when>
    </c:choose>
  </div>

  <c:if test="${not empty validationContext.errors}">
    <div class="validationError">
      <b><c:out value="${validationContext.numberOfErrors}" /> error(s)</b>
      <ul>
      <c:forEach var="error" items="${validationContext.errors}">
        <li><c:out value="${error.message}"/></li>
      </c:forEach>
      </ul>
    </div>
  </c:if>

  <div class="itemBody">
    <table width="99%" cellspacing="0" cellpadding="4">
      <c:if test="${blogEntry.type == 8}">
      <tr>
        <td valign="top"><b>名前</b></td>
        <td><c:out value="${blog.url}pages/"/><input type="text" name="staticName" size="20" value="<c:out value="${blogEntry.staticName}"/>">.html</td>
      </tr>
      </c:if>

      <tr>
        <td valign="top"><b>タイトル</b></td>
        <td><input type="text" name="title" size="60" value="<c:out value="${blogEntry.title}"/>"></td>
      </tr>

      <tr>
        <td valign="top"><b>サブタイトル</b></td>
        <td><input type="text" name="subtitle" size="60" value="<c:out value="${blogEntry.subtitle}"/>"></td>
      </tr>

      <c:if test="${!blogEntry.staticPage}">
      <tr>
        <td valign="top"><b>概要</b></td>
        <td><textarea name="excerpt" rows="10" cols="60"><c:out value="${blogEntry.excerpt}" escapeXml="true"/></textarea></td>
      </tr>
      </c:if>

      <tr>
        <td valign="top"><b>本文</b></td>
        <td><textarea name="body" rows="20" cols="60"><c:out value="${blogEntry.body}" escapeXml="true"/></textarea></td>
      </tr>

      <tr>
        <td valign="top"><b>オリジナル<br>固定リンク</b></td>
        <td>
          <input type="text" name="originalPermalink" size="60" value="<c:out value="${blogEntry.originalPermalink}"/>">
          <div class="small">(this will become the permalink for your entry)</div>
        </td>
      </tr>

      <c:if test="${not blogEntry.staticPage}">
      <tr>
        <td valign="top"><b>コメント</b> (<span class="help"><a href="<%= request.getContextPath() %>/docs/comments.html" target="_blank">Help</a></span>)</td>
        <td>
          受け入れる&nbsp;
          <input type="radio" name="commentsEnabled" value="true"
            <c:if test="${blogEntry.commentsEnabled}">
              checked="checked"
            </c:if>
          />
          受け入れない&nbsp;<input type="radio" name="commentsEnabled" value="false"
            <c:if test="${not blogEntry.commentsEnabled}">
              checked="checked"
            </c:if>
          />
        </td>
      </tr>

      <tr>
        <td valign="top"><b>トラックバック</b> (<span class="help"><a href="<%= request.getContextPath() %>/docs/trackbacks.html" target="_blank">Help</a></span>)</td>
        <td>
          受け入れる&nbsp;
          <input type="radio" name="trackBacksEnabled" value="true"
            <c:if test="${blogEntry.trackBacksEnabled}">
              checked="checked"
            </c:if>
          />
          受け入れない&nbsp;<input type="radio" name="trackBacksEnabled" value="false"
            <c:if test="${not blogEntry.trackBacksEnabled}">
              checked="checked"
            </c:if>
          />
        </td>
      </tr>
      </c:if>

      <c:if test="${not blogEntry.staticPage}">
        <c:if test="${not empty blog.rootCategory.subCategories}">
        <tr>
          <td valign="top"><b>Category</b></td>
          <td>
            <table width="99%" cellpadding="0" cellspacing="0">
              <tr>
              <c:forEach var="category" items="${blog.categories}" varStatus="status" begin="1">
                <c:if test="${status.count % 2 == 1}">
                <tr>
                </c:if>
                <%
                  Category category = (Category)pageContext.getAttribute("category");
                  BlogEntry blogEntry = (BlogEntry)request.getAttribute("blogEntry");
                %>
                <td>
                <input type="checkbox" name="category" value="<c:out value="${category.id}" />" <% if (blogEntry.getCategories().contains(category)) { out.write("checked"); } %> />&nbsp;<c:out value="${category.name}" />
                </td>
                <c:if test="${status.count % 2 == 0}">
                </tr>
                </c:if>
              </c:forEach>
              <tr>
            </table>
            <br />
          </td>
        </tr>
        </c:if>

        <tr>
          <td valign="top"><b>タグ</b></td>
          <td>
            <input type="text" name="tags" size="60" value="<c:out value="${blogEntry.tags}"/>">
            <div class="small"><fmt:message key="common.commaSeparated" /></div>
          </td>
        </tr>
      </c:if>

      <tr>
        <td valign="top"><br /><b>添付</b> (<span class="help"><a href="<%= request.getContextPath() %>/docs/blog-entries.html#attachments" target="_blank">Help</a></span>)</td>
        <td></td>
      </tr>
      <tr>
        <td valign="top"><b>URL</b></td>
        <td><input type="text" name="attachmentUrl" size="60" value="<c:out value="${blogEntry.attachment.url}"/>"></td>
      </tr>
      <tr>
        <td valign="top"><b>サイズ</b></td>
        <td><input type="text" name="attachmentSize" size="20" value="<c:out value="${blogEntry.attachment.size}"/>"></td>
      </tr>
      <tr>
        <td valign="top"><b>タイプ</b></td>
        <td><input type="text" name="attachmentType" size="20" value="<c:out value="${blogEntry.attachment.type}"/>"></td>
      </tr>

      <tr>
        <td colspan="2" align="right">
          <input name="submit" type="submit" Value="投稿をプレビュー" />
          <c:choose>
          <c:when test="${blogEntry.staticPage}">
          <input name="submit" type="submit" Value="投稿する" />
          </c:when>
          <c:otherwise>
          <input name="submit" type="submit" Value="テンプレートとして保存" />
          <input name="submit" type="submit" Value="下書きとして保存" />
          <input name="submit" type="submit" Value="この内容で投稿" />
          </c:otherwise>
          </c:choose>
        </td>
      </tr>
    </table>
  </div>

</form>
</div>
