<%@ page contentType="text/html;charset=UTF-8" %>
<%@ page import="pebble.blog.Category,
                 pebble.blog.BlogEntry"%>
<%@ taglib uri="http://java.sun.com/jstl/core" prefix="c" %>
<%@ taglib uri="http://java.sun.com/jstl/fmt" prefix="fmt" %>
<%@ taglib uri="http://www.simongbrown.com/pebble" prefix="pebble" %>

<div class="item">

  <div class="itemHeader">
    <span class="itemLinks">
      <a href="<%= request.getContextPath() %>/docs/categories.html" target="_blank">Help</a>
    </span>
    Categories
  </div>

  <div class="itemBody">
    <table width="99%" cellspacing="0" cellpadding="4">
      <thead>
      <tr>
        <td><b>#</b></td>
        <td><b>ID</b></td>
        <td><b>名前</b></td>
        <td><b>タグ</b></td>
        <td align="right"><b>ブログエントリー数</b></td>
        <td align="right"><b>操作</b></td>
      </tr>
      </thead>
      <c:forEach var="aCategory" items="${categories}" varStatus="status">
        <c:choose>
          <c:when test="${status.count % 2 == 0}">
            <tr class="itemBodyEven">
          </c:when>
          <c:otherwise>
              <tr class="itemBodyOdd">
          </c:otherwise>
        </c:choose>
        <td width="2%">
          <fmt:formatNumber value="${status.count}"/>
        </td>
        <td><c:out value="${aCategory.id}"/></td>
        <td><c:out value="${aCategory.name}"/></td>
        <td><c:out value="${aCategory.tags}"/></td>
        <td align="right"><fmt:formatNumber value="${aCategory.numberOfBlogEntries}"/></td>
        <td align="right">
          <a href="editCategory.secureaction?id=<c:out value="${aCategory.id}"/>#form" title="Edit this category">編集</a>
          <c:if test="${not aCategory.rootCategory}">
            | <a href="javascript:confirmRemove('removeCategory.secureaction?id=<c:out value="${aCategory.id}"/>');" title="Remove this category">Remove</a>
          </c:if>
        </td>
      </tr>
      </c:forEach>
    </table>

    <c:if test="${not empty theCategory}">
    <br />

    <a name="form"></a>
    <form name="category" action="saveCategory.secureaction" method="POST" accept-charset="<c:out value="${blog.characterEncoding}" />">
      <table width="99%">
        <tr>
          <td valign="top"><b>ID</b></td>
          <td valign="top">
            <c:choose>
              <c:when test="${empty theCategory.id}">
                <input type="text" name="id" size="40" value="" />
              </c:when>
              <c:otherwise>
                <input type="hidden" name="id" size="40" value="<c:out value="${theCategory.id}"/>" /><c:out value="${theCategory.id}"/>
              </c:otherwise>
            </c:choose>
          </td>
        </tr>
        <tr>
          <td valign="top"><b>名前</b></td>
          <td valign="top">
            <input type="text" name="name" size="40" value="<c:out value="${theCategory.name}"/>" />
          </td>
        </tr>
        <tr>
          <td valign="top"><b>タグ</b></td>
          <td valign="top">
            <input type="text" name="tags" size="40" value="<c:out value="${theCategory.tags}"/>" />
            <div class="small"><fmt:message key="common.commaSeparated" /></div>
          </td>
        </tr>
        <tr>
          <td colspan="2" align="right">
            <input name="submit" type="submit" Value="カテゴリーを保存" />
          </td>
        </tr>
      </table>
    </form>
    </c:if>
  </div>

</div>