<%@ include file="header.jspf" %>

<feed xmlns="http://www.w3.org/2005/Atom">
  <id>tag:<c:out value="${blog.domainName}"/>,0000-00-00:<c:out value="${blog.id}"/></id>
  <title><c:out value="${blog.name}"/><c:if test="${not empty category}"> - <c:out value="${category.name}"/> category</c:if></title>
  <link rel="alternate" type="text/html" href="<c:out value="${blog.url}"/>"/>
  <link rel="self" type="text/xml" href="<c:out value="${blog.url}atom.xml"/>"/>
  <updated><fmt:formatDate value="${blog.lastModified}" pattern="yyyy-MM-dd'T'HH:mm:ss'Z'" timeZone="UTC"/></updated>
  <author>
    <name><c:out value="${blog.author}"/></name>
  </author>
  <subtitle><c:out value="${blog.description}"/></subtitle>
  <rights><c:out value="${blog.author}"/></rights>
  <generator uri="http://pebble.sourceforge.net">Pebble</generator>

  <c:forEach var="blogEntry" items="${blogEntries}">
  <entry>
    <title><c:out value="${blogEntry.title}"/></title>
    <link rel="alternate" type="text/html" href="<c:out value="${blogEntry.permalink}"/>"/>
    <author>
      <name><c:out value="${blogEntry.rootBlog.author}"/></name>
    </author>
    <id>tag:<c:out value="${blogEntry.rootBlog.domainName}"/>,<fmt:formatDate value="${blogEntry.date}" pattern="yyyy-MM-dd" timeZone="UTC"/>:<c:out value="${blogEntry.rootBlog.id}"/>/<c:out value="${blogEntry.id}"/></id>
    <updated><fmt:formatDate value="${blogEntry.date}" pattern="yyyy-MM-dd'T'HH:mm:ss'Z'" timeZone="UTC"/></updated>
    <published><fmt:formatDate value="${blogEntry.date}" pattern="yyyy-MM-dd'T'HH:mm:ss'Z'" timeZone="UTC"/></published>
    <c:forEach var="category" items="${blogEntry.categories}">
    <category term="<c:out value="${category.id}"/>" label="<c:out value="${category.name}"/>" scheme="<c:out value="${category.permalink}"/>" />
    </c:forEach>
    <c:forEach var="tag" items="${blogEntry.allTags}">
    <category term="<c:out value="${tag}"/>" label="<c:out value="${tag}"/>" scheme="<c:out value="${tag.permalink}"/>" />
    </c:forEach>
    <c:choose>
      <c:when test="${empty blogEntry.excerpt}">
        <content type="html">
          <c:out value="${blogEntry.body}" escapeXml="true"/>
        </content>
      </c:when>
      <c:otherwise>
        <summary type="html">
          <c:out value="${blogEntry.excerpt}" escapeXml="true"/>
          &lt;p&gt;&lt;a href="<c:out value="${blogEntry.permalink}"/>"&gt;Read more...&lt;/a&gt;&lt;/p&gt;
        </summary>
      </c:otherwise>
    </c:choose>
  </entry>
  </c:forEach>
</feed>
