<%@ page contentType="text/html;charset=UTF-8" %>
<%@ taglib uri="http://java.sun.com/jstl/core" prefix="c" %>
<%@ taglib uri="http://java.sun.com/jstl/fmt" prefix="fmt" %>
<%@ taglib uri="http://www.simongbrown.com/pebble" prefix="pebble" %>

<div class="item">

  <div class="itemHeader">
    <span class="itemLinks">
      <c:if test='${not empty directory.name}'>
        <a href="<c:out value="viewFiles.secureaction?path=${directory.path}&type=${type}"/>">Back to parent</a> |
      </c:if>
      <c:choose>
        <c:when test="${type == 'blogImage'}"><a href="<%= request.getContextPath() %>/docs/images.html" target="_blank">Help</a></c:when>
        <c:when test="${type == 'blogFile'}"><a href="<%= request.getContextPath() %>/docs/files.html" target="_blank">Help</a></c:when>
        <c:when test="${type == 'themeFile'}"><a href="<%= request.getContextPath() %>/docs/themes.html" target="_blank">Help</a></c:when>
        <c:when test="${type == 'blogData'}"></c:when>
      </c:choose>
    </span>
    <c:choose>
      <c:when test="${type == 'blogImage'}">Images</c:when>
      <c:when test="${type == 'blogFile'}">Files</c:when>
      <c:when test="${type == 'themeFile'}">Files for <c:out value="${blog.editableTheme.name}" /> theme</c:when>
      <c:when test="${type == 'blogData'}">Blog data files</c:when>
    </c:choose>
    (path is <c:out value="${directory.absolutePath}" />)
  </div>

  <div class="itemBody">
  <p>
    <c:if test="${pebbleProperties.fileUploadQuota > -1}">
      You are using <fmt:formatNumber value="${currentUsage}" type="number" />&nbsp;KB of
      your <fmt:formatNumber value="${pebbleProperties.fileUploadQuota}" type="number" />&nbsp;KB quota, which is shared between
      all of your images, files and theme.
    </c:if>
  </p>

  <c:choose>
  <c:when test="${not empty files}">
    <table width="99%" cellspacing="0" cellpadding="4">
      <c:forEach var="aFile" items="${files}" varStatus="status">
        <c:choose>
          <c:when test="${status.count % 2 == 0}">
            <tr class="itemBodyEven">
          </c:when>
          <c:otherwise>
              <tr class="itemBodyOdd">
          </c:otherwise>
        </c:choose>
          <td align="center">
            <c:choose>
              <c:when test="${aFile.directory}">
                <a href="<c:out value="viewFiles.secureaction?path=${aFile.absolutePath}&type=${type}"/>">[+]</a>
              </c:when>
              <c:otherwise>&nbsp;&nbsp;&nbsp;</c:otherwise>
            </c:choose>
          </td>
          <td>
            <a href="<c:out value="viewFiles.secureaction?path=${aFile.path}&file=${aFile.name}&type=${type}"/>#viewFile" title="Rename or copy this file"><c:out value="${aFile.name}"/></a>
          </td>
          <td align="right">
            <fmt:formatNumber value="${aFile.sizeInKB}" type="number" />&nbsp;KB
          </td>
          <td align="right">
            <fmt:formatDate value="${aFile.lastModified}" type="both" dateStyle="short" timeStyle="short" />
          </td>
          <td align="right">
            <c:if test="${not empty aFile.url}">
              <a href="<c:out value="${aFile.url}"/>" title="View/download this file">View</a> |
            </c:if>
            <c:if test="${aFile.editable}">
            <a href="<c:out value="editFile.secureaction?name=${aFile.name}&path=${aFile.path}&type=${type}"/>" title="Edit the content of this file">Edit</a>
            |
            </c:if>
            <a href="javascript:confirmRemove('<c:out value="deleteFile.secureaction?name=${aFile.name}&path=${aFile.path}&type=${type}"/>');" title="Delete this file">Delete</a>
          </td>
        </tr>
      </c:forEach>

      <tr class="small">
        <td></td>
        <td></td>
        <td align="right"><b><fmt:formatNumber value="${directory.sizeInKB}" type="number" />&nbsp;KB</a></td>
        <td></td>
        <td align="right"><a href="<c:out value="zipDirectory.secureaction?path=${directory.absolutePath}&type=${type}"/>">Export as ZIP</a></td>
      </tr>
    </table>

  </c:when>
  <c:otherwise>
      <p>
        このディレクトリにはファイルがありません。
      </p>
  </c:otherwise>
  </c:choose>

  <c:if test="${not empty file}">
  <form name="copyFile" action="copyFile.secureaction" method="POST">
    <p>
      <b>Rename/copy file</b>
      <br />
      <a name="viewFile" />
      Name
      <input type="hidden" name="type" value="<c:out value="${type}" />" />
      <input type="hidden" name="path" value="<c:out value="${file.path}" />" />
      <input type="hidden" name="name" value="<c:out value="${file.name}" />" />
      <input type="text" name="newName" size="40" value="<c:out value="${file.name}"/>" />
      <input name="submit" type="submit" Value="Rename" />
      <c:if test="${not file.directory}">
      <input name="submit" type="submit" Value="Copy" />
      </c:if>
    </p>
  </form>
  </c:if>

  <form name="createDirectory" action="createDirectory.secureaction" method="POST">
    <p>
      <b>ディレクトリを作成</b>
      <br /><br />
      ディレクトリ名
      <input type="hidden" name="type" value="<c:out value="${type}" />" />
      <input type="hidden" name="path" value="<c:out value="${directory.absolutePath}" />" />
      <input type="text" name="name" size="40" value="" />
      <input name="submit" type="submit" Value="ディレクトリを作成" />
    </p>
  </form>

  <form name="uploadFile" enctype="multipart/form-data" action="<c:out value="${uploadAction}" />" method="POST">
    <p>
      <b>ファイルをアップ</b> (ファイルサイズは<fmt:formatNumber value="${pebbleProperties.fileUploadSize}" type="number" />&nbsp;KB以下)
      <br /><br />
      ローカル名
      <input type="hidden" name="path" value="<c:out value="${directory.absolutePath}" />" />
      <input name="file" type="file" onChange="populateFilename(this,document.uploadFile.filename)" />
      <br />
      リモート名
      <input name="filename" type="text" value="" />
      <input type="submit" value="ファイルをアップ" />
    </p>
  </form>

  </div>

</div>