<%@ page import="pebble.logging.LogSummary,
                 java.text.SimpleDateFormat,
                 pebble.blog.Blog,
                 pebble.Constants,
                 java.util.Locale"%>
<%@ taglib uri="http://java.sun.com/jstl/core" prefix="c" %>
<%@ taglib uri="http://java.sun.com/jstl/fmt" prefix="fmt" %>
<%@ taglib uri="http://www.simongbrown.com/pebble" prefix="pebble" %>

<div class="item">

  <div class="itemHeader">
    <span class="itemLinks">
      <a href="<%= request.getContextPath() %>/docs/logs.html" target="_blank">Help</a>
    </span>
    Log summary for <fmt:formatDate value="${logSummary.date}" pattern="MMMM yyyy" />
  </div>

  <div class="itemBody">
    <%
      Blog blog = (Blog)request.getAttribute(Constants.BLOG_KEY);
      LogSummary logSummary = (LogSummary)request.getAttribute("logSummary");
      SimpleDateFormat yearFormatter = new SimpleDateFormat("yyyy", Locale.ENGLISH);
      yearFormatter.setTimeZone(blog.getTimeZone());
      SimpleDateFormat monthFormatter = new SimpleDateFormat("MM", Locale.ENGLISH);
      monthFormatter.setTimeZone(blog.getTimeZone());
      SimpleDateFormat dayFormatter = new SimpleDateFormat("dd", Locale.ENGLISH);
      dayFormatter.setTimeZone(blog.getTimeZone());
      String year = yearFormatter.format(logSummary.getDate());
      String month = monthFormatter.format(logSummary.getDate());
      String day = "";
    %>
    You can also see a <a href="viewLogSummary.secureaction?year=<%= year %>" title="See statistics for this year">log summary for <fmt:formatDate value="${logSummary.date}" type="date" pattern="yyyy"/></a>.
    <br /><br />
    <table width="99%" cellspacing="0" cellpadding="4">

      <thead>
      <tr>
        <td><b>Total for <fmt:formatDate value="${logSummary.date}" pattern="MMMM yyyy" /></b></td>
        <td align="right">
          <a href="viewLog.secureaction?year=<%= year %>&month=<%= month %>" title="See log file for month">Log</a> |
          <a href="viewReferers.secureaction?year=<%= year %>&month=<%= month %>" title="See referers for month">Referers</a> |
          <a href="viewRequests.secureaction?year=<%= year %>&month=<%= month %>" title="See requests for month">Requests</a>
        </td>
        <td align="right"><b><fmt:formatNumber value="${logSummary.totalRequests}"/></b></td>
      </tr>
      </thead>

      <c:forEach var="logSummaryForDay" items="${logSummary.logSummaries}" varStatus="status">
        <%
          LogSummary logSummaryForDay = (LogSummary)pageContext.findAttribute("logSummaryForDay");
          year = yearFormatter.format(logSummaryForDay.getDate());
          month = monthFormatter.format(logSummaryForDay.getDate());
          day = dayFormatter.format(logSummaryForDay.getDate());
        %>
        <c:choose>
          <c:when test="${status.count % 2 == 0}">
            <tr class="itemBodyEven small">
          </c:when>
          <c:otherwise>
              <tr class="itemBodyOdd small">
          </c:otherwise>
        </c:choose>
          <td>
            <fmt:formatDate value="${logSummaryForDay.date}" type="date" dateStyle="long"/>
          </td>
          <td align="right">
            <a href="viewLog.secureaction?year=<%= year %>&month=<%= month %>&day=<%= day %>" title="See log file for day">Log</a> |
            <a href="viewReferers.secureaction?year=<%= year %>&month=<%= month %>&day=<%= day %>" title="See referers for day">Referers</a> |
            <a href="viewRequests.secureaction?year=<%= year %>&month=<%= month %>&day=<%= day %>" title="See requests for day">Requests</a>
          </td>
          <td align="right"><fmt:formatNumber value="${logSummaryForDay.totalRequests}"/></td>
          </td>
        </tr>
      </c:forEach>

    </table>
  </div>

</div>